Skip to main content
GET
/
block_search
block_search
curl --request GET \
  --url https://rpc.cosmos.directory/cosmoshub/block_search
{
  "jsonrpc": "2.0",
  "id": 0,
  "result": {
    "blocks": [
      {
        "block": {
          "data": [
            "yQHwYl3uCkKoo2GaChRnd+THLQ2RM87nEZrE19910Z28ABIUWW/t8AtIMwcyU0sT32RcMDI9GF0aEAoFdWF0b20SBzEwMDAwMDASEwoNCgV1YXRvbRIEMzEwMRCd8gEaagom61rphyEDoJPxlcjRoNDtZ9xMdvs+lRzFaHe2dl2P5R2yVCWrsHISQKkqX5H1zXAIJuC57yw0Yb03Fwy75VRip0ZBtLiYsUqkOsPUoQZAhDNP+6LY+RUwz/nVzedkF0S29NZ32QXdGv0="
          ],
          "evidence": [
            {
              "type": "<string>",
              "height": 123,
              "time": 123,
              "total_voting_power": 123,
              "validator": {
                "pub_key": {
                  "type": "tendermint/PubKeyEd25519",
                  "value": "A6DoBUypNtUAyEHWtQ9bFjfNg8Bo9CrnkUGl6k6OHN4="
                },
                "voting_power": 123,
                "address": "<string>"
              }
            }
          ],
          "last_commit": {
            "height": 123,
            "round": 123,
            "signatures": [
              {
                "type": 2,
                "height": "1262085",
                "round": 0,
                "block_id": {
                  "hash": "112BC173FD838FB68EB43476816CD7B4C6661B6884A9E357B417EE957E1CF8F7",
                  "parts": {
                    "total": 1,
                    "hash": "38D4B26B5B725C4F13571EFE022C030390E4C33C8CF6F88EDD142EA769642DBD"
                  }
                },
                "timestamp": "2019-08-01T11:39:38.867269833Z",
                "validator_address": "000001E443FD237E4B616E2FA69DF4EE3D49A94F",
                "validator_index": 0,
                "signature": "DBchvucTzAUEJnGYpNvMdqLhBAHG4Px8BsOBB3J3mAFCLGeuG7uJqy+nVngKzZdPhPi8RhmE/xcw/M9DOJjEDg=="
              }
            ]
          }
        }
      }
    ],
    "total_count": 2
  }
}

Query Parameters

query
string
required

Query

Example:

"\"block.height > 1000\""

page
integer
default:1

Page number (1-based)

Example:

1

per_page
integer
default:30

Number of entries per page (max: 100)

Example:

30

order_by
string
default:desc

Order in which blocks are sorted ("asc" or "desc"), by height. If empty, default sorting will be still applied.

Example:

"asc"

Response

List of paginated blocks matching the search criteria.

jsonrpc
string
required
Example:

"2.0"

id
integer
required
Example:

0

result
object
required